package com.nokia.nfc.app.test.manual;

import javax.microedition.lcdui.Display;
import javax.microedition.midlet.MIDlet;
import javax.microedition.midlet.MIDletStateChangeException;

import com.nokia.nfc.app.util.SplashScreen;

/**
 * The main class of the MIDlet. Used for starting {@link Control} class during
 * startup and for closing the MIDlet.<p>
 */
public class NFCTest extends MIDlet {

    /** Default package from where to look for the test classes. */
    public static final String DEFAULT_PACKAGE = "com.nokia.nfc.app.test.manual.tests.";
    
    /**
     * Declare all TestForms here in order to make those selectable.
     * 1 declaration consists of the name shown in the list and the test class name.
     * If the class name is null then it is assumed that it is the same as the test name.
     * If the class name has no dot then it is assumed to be found from the 
     * default package 'com.nokia.nfc.app.test.manual.tests'.
     * If the class name starts with a dot then it assumed the class package 
     * is relative to the default package.
     * If the class name has a dot a none of the above mentioned criteria
     * match then the class name is assumed to be an absolute name.<p>
     * 
     * Class names are used instead of class objects like "ISO4.class" so
     * that at startup no NoClassDefFoundErrors are thrown.<p>
     * 
     * Because of this approach the test class names cannot be obfuscated.
     * The contents can be obfuscated and are obfuscated.<p>
     */
    public static final String[] TESTS = {
        //"PushRegistry", "PushReg",
        //"PushLaunch", "PushLaunch",
        //"JSR177 APDU", "JSR177APDU",
        //"Switch state", "SwitchState",
        //"ISO4", null,
        //"NDEF", null,
        //"SimpleTag", null,
        //"Jewel", null,
        //"Type3", null,
        //"MFStandard", null,
        //"NFCIP-1", "NFCIP",
        "LLCP", null,
       // "Test1", null,
    };
    
    private Control ctrl;
    
    
    public NFCTest() {
        super();
    }

    /**
     * @see javax.microedition.midlet.MIDlet#startApp()
     */
    protected void startApp() throws MIDletStateChangeException {
        ctrl = new Control(this);
        Display.getDisplay(this).setCurrent(new SplashScreen());
        ctrl.start();
    }
    
    /**
     * @see javax.microedition.midlet.MIDlet#pauseApp()
     */
    protected void pauseApp() {
    }

    /**
     * @see javax.microedition.midlet.MIDlet#destroyApp(boolean)
     */
    protected void destroyApp(boolean unconditional) throws MIDletStateChangeException {
        ctrl.cleanUp();
    }

}
