package com.nokia.nfc.app.util;

/**
 * Generic interface for receiving notifications about new input received
 * from the associated source.
 */
public interface InputListener {

    /**
     * Called to notify the listener of available input. The listener
     * <b>must</b> return immediately from this method. Any time consuming
     * operations <b>must</b> be done in a separate thread.<p> 
     * 
     * @param input input as a string.
     * @param src the object from which the input originates from.
     */
    public void notifyInput(String input, Object src);
    
}
