package com.nokia.nfc.app.util;

import java.io.IOException;

import javax.microedition.lcdui.*;


public class SplashScreen extends Canvas {

    private static final String SPLASH_RES_IMG = "/splash.png";
    
    private static final int NO_IMG_BG_COLOR = 0x34578C;
    
    private static final int NO_IMG_FG_COLOR = 0xFFFFFF;
    
    private static final String NO_IMG_TEXT = "Loading..";
    
    private static final Font NO_IMG_FONT = Font.getFont(
            Font.FACE_PROPORTIONAL, Font.STYLE_BOLD, Font.SIZE_SMALL);
    
    
    public SplashScreen() {
        super();
        setFullScreenMode(true);
    }
    
    protected void paint(Graphics g) {
        Image splashImg = loadSplashImage();
        final int w = getWidth();
        final int h = getHeight();
        
        if (splashImg == null) {
            g.setColor(NO_IMG_BG_COLOR);
            g.fillRect(0, 0, w, h);
            
            final int strW = NO_IMG_FONT.stringWidth(NO_IMG_TEXT);
            final int strH = NO_IMG_FONT.getHeight(); 
            g.setColor(NO_IMG_FG_COLOR);
            g.setFont(NO_IMG_FONT);
            g.drawString(NO_IMG_TEXT, (w - strW) / 2, (h - strH) / 2, 
                    Graphics.TOP | Graphics.LEFT);
        } else {
            g.drawImage(splashImg, 
                    (w - splashImg.getWidth()) / 2, 
                    (h - splashImg.getHeight()) / 2, 
                    Graphics.TOP | Graphics.LEFT);
        }
    }
    
    private static final Image loadSplashImage() {
        
        try {
            return Image.createImage(SPLASH_RES_IMG);
        } catch (IOException e) {
            if (LogLevel.level >= Log.ERROR) Log.log("Could not load splash image", e);
            return null;
        }
    }
    

}
