package com.nokia.nfc.app.util.connector;

import java.io.IOException;

import javax.microedition.io.Connection;

/**
 * This class enables using the same MIDlet code with both the final
 * JSR257 implementation included in the phone SW and the development version
 * of the implementation that uses the so called molotow_api and where the
 * implementation classes are packaged to the MIDlet JAR file.
 */
public abstract class ConnectionFactory {

    public static final ConnectionFactory getInstance() {
        Class clazz = null;
        
        

        if (clazz == null) {
            try {
                clazz = Class.forName("com.nokia.nfc.app.util.connector.JSR257ConnFactory");
            } catch (ClassNotFoundException cnfe) {
            }
        }
        
        if (clazz != null) {
            try {
                return (ConnectionFactory) clazz.newInstance();
            } catch (Exception e) {
            } 
        }

        return null;
    }
    
    public abstract Connection open(String url) throws IOException;

}